/**
 * @file test_humidity.cpp
 * @brief Unit tests for Humidity component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "humidity.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_humidity_initialize(void)
{
    Humidity comp;
    bool result = comp.initialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_TRUE(comp.isInitialized());
}

void test_humidity_deinitialize(void)
{
    Humidity comp;
    comp.initialize();
    
    bool result = comp.deinitialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_FALSE(comp.isInitialized());
}

} // extern "C"
